Package: org.gradle.api.artifacts

## [Java] Interface DependencyArtifact

- An `Artifact` represents an artifact included in a Dependency.

  An artifact is an (immutable) value object.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `DEFAULT_TYPE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getClassifier()` Returns the classifier of this dependency artifact.
    `String` | `getExtension()` Returns the extension of this dependency artifact.
    `String` | `getName()` Returns the name of the dependency artifact.
    `String` | `getType()` Returns the type of the dependency artifact.
    `String` | `getUrl()` Returns an URL under which this dependency artifact can be retrieved.

- - ### Field Detail

    - #### public String DEFAULT_TYPE

  - ### Method Detail

    - #### public String getClassifier()

      Returns the classifier of this dependency artifact.

    - #### public String getExtension()

      Returns the extension of this dependency artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      See Also:
        getType()

    - #### public String getName()

      Returns the name of the dependency artifact.

    - #### public String getType()

      Returns the type of the dependency artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      See Also:
        getExtension()

    - #### public String getUrl()

      Returns an URL under which this dependency artifact can be retrieved. If not specified the user repositories are used for retrieving.